Sign a transaction with application key

Takes the payload from our preparation API’s and signs the transaction using a private key. The below information will need to be added to the signing request payload in order to sign a transaction before executing. This API supports signing for standard and native transactions, token interactions, and Bridge asset transfers.

  • KeyId
  • Payload from preparation API’s

Prerequisite: Encrypt Required Data

Before calling this endpoint, obtain a user token from the Auth provider using your client ID and secret from the Authorise user pool. Then, encrypt the following JSON payload:

{
    "userToken": "<user-token>",
    "checksum": "<checksum-value>"
}

Checksum Validation

For security reasons, when signing transactions, you need to send a checksum field to detect data corruption. The Authorise is using the CRC-32 algorithm to generate the checksum. You can generate the checksum using any CRC-32 Calculator website. The payload should be encrypted with a checksum calculated from the preparation API’s response and the userToken.

Encryption is Optional

Signing can work with both encrypted and unencrypted requests. If the encryptedPayload and encryptedSymmetricKey fields are not provided, the request will still be processed successfully.

Send the encryptedPayload and encryptedSymmetricKey from the response in the corresponding request headers if encryption is used.

Path Params
string
required

Authoriser ID

Body Params
string
required
length between 0 and 500

Key ID to be used to sign the transaction and transfer asset

string
required
length between 0 and 36

The ID assigned to a preparation request in Overledger

location
object
networkFee
object
string
string
nativeData
object
required

Additional data specific to the origin network

Headers
string
required
length between 0 and 5010

Authorization token

string
required

API Version

string

Encrypted Payload

string

Encrypted Symmetric Key

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json